/*	Compiler: ECL 13.5.1                                          */
/*	Source: SRC:CLX;DISPLAY.LISP                                  */
#include <ecl/ecl-cmp.h>
#include "clx/display.eclh"
/*	function definition for READ-XAUTH-ENTRY                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L4read_xauth_entry(cl_object v1stream)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2family_id;
   v2family_id = LC1read_short(2, v1stream, ECL_NIL);
   if (!(v2family_id==ECL_NIL)) { goto L2; }
   value0 = cl_list(5, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL);
   return value0;
L2:;
   {
    cl_object v3address_data;
    cl_object v4number;
    cl_object v5name;
    cl_object v6data;
    cl_object v7family;
    v3address_data = LC3read_short_length_vector(v1stream);
    T0 = LC2read_short_length_string(v1stream);
    v4number = cl_parse_integer(1, T0);
    v5name = LC2read_short_length_string(v1stream);
    v6data = LC3read_short_length_vector(v1stream);
    T0 = cl_rassoc(2, v2family_id, ecl_symbol_value(VV[2]));
    v7family = ecl_car(T0);
    if ((v7family)!=ECL_NIL) { goto L10; }
    value0 = cl_list(5, v2family_id, ECL_NIL, ECL_NIL, ECL_NIL, ECL_NIL);
    return value0;
L10:;
    {
     cl_object v8address;
     if (!(ecl_eql(v7family,ECL_SYM("LOCAL",1268)))) { goto L13; }
     T0 = (ECL_SYM("CODE-CHAR",230)->symbol.gfdef);
     v8address = cl_map(3, ECL_SYM("STRING",805), T0, v3address_data);
     goto L12;
L13:;
     if (!(ecl_eql(v7family,VV[3]))) { goto L16; }
     v8address = si_coerce_to_list(1, v3address_data);
     goto L12;
L16:;
     v8address = ECL_NIL;
L12:;
     value0 = cl_list(5, v7family, v8address, v4number, v5name, v6data);
     return value0;
    }
   }
  }
 }
}
/*	local function READ-SHORT-LENGTH-VECTOR                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC3read_short_length_vector(cl_object v1stream)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2length;
   v2length = LC1read_short(1, v1stream);
   {
    cl_object v3vector;
    v3vector = si_make_pure_array(ECL_SYM("BYTE8",1330), v2length, ECL_NIL, ECL_NIL, ECL_NIL, ecl_make_fixnum(0));
    {
     cl_object v4k;
     v4k = ecl_make_fixnum(0);
     goto L6;
L5:;
     {
      cl_fixnum v5;
      if (ecl_unlikely((ecl_fixnum(v4k))>=(v3vector)->vector.dim))
           FEwrong_index(ECL_NIL,v3vector,-1,ecl_make_fixnum(ecl_fixnum(v4k)),(v3vector)->vector.dim);
      v5 = ecl_fixnum(v4k);
      T0 = cl_read_byte(1, v1stream);
      (v3vector)->vector.self.b8[v5]= ecl_fixnum(T0);
     }
     v4k = ecl_one_plus(v4k);
L6:;
     if (!(ecl_number_compare(v4k,v2length)<0)) { goto L14; }
     goto L5;
L14:;
    }
    value0 = v3vector;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function READ-SHORT-LENGTH-STRING                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC2read_short_length_string(cl_object v1stream)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2length;
   v2length = LC1read_short(1, v1stream);
   {
    cl_object v3string;
    v3string = cl_make_string(1, v2length);
    {
     cl_object v4k;
     v4k = ecl_make_fixnum(0);
     goto L6;
L5:;
     {
      unsigned char v5;
      {
       cl_object v6;
       uint8_t v7card8;
       v6 = cl_read_byte(1, v1stream);
       {
        cl_fixnum v8;
        v8 = 0;
        if (!(ECL_FIXNUMP(v6))) { goto L16; }
        v8 = ecl_fixnum(v6);
        if (!((v8)<=(255))) { goto L21; }
        T0 = ecl_make_bool((v8)>=(0));
        goto L13;
L21:;
        T0 = ECL_NIL;
        goto L13;
L16:;
        T0 = ECL_NIL;
        goto L13;
       }
L13:;
       if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[1],v6);
       v7card8 = ecl_fixnum(v6);
       v5 = (unsigned char)((cl_fixnum)(v7card8));
      }
      ecl_elt_set(v3string,ecl_to_size(v4k),CODE_CHAR(v5));
     }
     v4k = ecl_one_plus(v4k);
L6:;
     if (!(ecl_number_compare(v4k,v2length)<0)) { goto L25; }
     goto L5;
L25:;
    }
    value0 = v3string;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	local function READ-SHORT                                     */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC1read_short(cl_narg narg, cl_object v1stream, ...)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 if (ecl_unlikely(narg>2)) FEwrong_num_arguments_anonym();
 {
  cl_object v2eof_errorp;
  va_list args; va_start(args,v1stream);
  {
   int i = 1;
   if (i >= narg) {
    v2eof_errorp = ECL_T;
   } else {
    i++;
    v2eof_errorp = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v3high_byte;
   v3high_byte = cl_read_byte(2, v1stream, v2eof_errorp);
   if (Null(v3high_byte)) { goto L4; }
   {
    cl_object v4;
    T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(8));
    T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
    v4 = cl_ash(T1, ecl_make_fixnum(8));
    T0 = cl_ash(v3high_byte, ecl_make_fixnum(8));
    T1 = ecl_boole(ECL_BOOLAND,(T0),(v4));
    T2 = cl_read_byte(1, v1stream);
    T3 = ecl_boole(ECL_BOOLANDC2,(T2),(v4));
    value0 = ecl_boole(ECL_BOOLIOR,(T1),(T3));
    cl_env_copy->nvalues = 1;
    return value0;
   }
L4:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for GET-BEST-AUTHORIZATION                */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L5get_best_authorization(cl_object volatile v1host, cl_object volatile v2display, cl_object volatile v3protocol)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   v4 = ECL_NEW_FRAME_ID(cl_env_copy);
   if (ecl_frs_push(cl_env_copy,v4)!=0) {
   value0 = cl_env_copy->values[0];
   ecl_frs_pop(cl_env_copy);
   return value0;
   } else {
   {
    volatile cl_object v5pathname;
    v5pathname = ecl_function_dispatch(cl_env_copy,VV[133])(0) /*  AUTHORITY-PATHNAME */;
    if (Null(v5pathname)) { goto L2; }
    {
     volatile cl_object v6stream;
     v6stream = cl_open(5, v5pathname, ECL_SYM("ELEMENT-TYPE",1224), VV[5], ECL_SYM("IF-DOES-NOT-EXIST",1244), ECL_NIL);
     {
      volatile bool unwinding = FALSE;
      cl_index v7=ECL_STACK_INDEX(cl_env_copy),v8;
      ecl_frame_ptr next_fr;
      if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
        unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
      } else {
      {
       struct ecl_stack_frame _ecl_inner_frame_aux;
       volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
       {
        cl_object v9;
        v9 = _ecl_inner_frame;
        if (Null(v6stream)) { goto L10; }
        {
         cl_object v10host_address;
         cl_object v11best_name;
         cl_object v12best_pos;
         cl_object v13best_data;
         if (!(ecl_eql(v3protocol,VV[3]))) { goto L14; }
         T0 = ecl_function_dispatch(cl_env_copy,VV[134])(2, v1host, v3protocol) /*  HOST-ADDRESS */;
         v10host_address = ecl_cdr(T0);
         goto L12;
L14:;
         v10host_address = ECL_NIL;
         goto L12;
L12:;
         v11best_name = ECL_NIL;
         v12best_pos = ECL_NIL;
         v13best_data = ECL_NIL;
         if (ecl_eql(v3protocol,ECL_SYM("LOCAL",1268))) { goto L21; }
         if (!(ecl_eql(v3protocol,VV[3]))) { goto L19; }
         if (!(ecl_equal(v10host_address,VV[6]))) { goto L19; }
         goto L20;
L21:;
L20:;
         v10host_address = ecl_function_dispatch(cl_env_copy,VV[135])(0) /*  GET-HOST-NAME */;
         v3protocol = ECL_SYM("LOCAL",1268);
L19:;
L28:;
         {
          cl_object v14;
          cl_object v15;
          cl_object v16family;
          cl_object v17address;
          cl_object v18number;
          cl_object v19name;
          cl_object v20data;
          v14 = L4read_xauth_entry(v6stream);
          v15 = v14;
          if (!(v15==ECL_NIL)) { goto L33; }
          si_dm_too_few_arguments(v14);
L33:;
          {
          cl_object v21;
          v21 = ecl_car(v15);
          v15 = ecl_cdr(v15);
          v16family = v21;
          }
          if (!(v15==ECL_NIL)) { goto L39; }
          si_dm_too_few_arguments(v14);
L39:;
          {
          cl_object v21;
          v21 = ecl_car(v15);
          v15 = ecl_cdr(v15);
          v17address = v21;
          }
          if (!(v15==ECL_NIL)) { goto L45; }
          si_dm_too_few_arguments(v14);
L45:;
          {
          cl_object v21;
          v21 = ecl_car(v15);
          v15 = ecl_cdr(v15);
          v18number = v21;
          }
          if (!(v15==ECL_NIL)) { goto L51; }
          si_dm_too_few_arguments(v14);
L51:;
          {
          cl_object v21;
          v21 = ecl_car(v15);
          v15 = ecl_cdr(v15);
          v19name = v21;
          }
          if (!(v15==ECL_NIL)) { goto L57; }
          si_dm_too_few_arguments(v14);
L57:;
          {
          cl_object v21;
          v21 = ecl_car(v15);
          v15 = ecl_cdr(v15);
          v20data = v21;
          }
          if (Null(v15)) { goto L62; }
          si_dm_too_many_arguments(v14);
L62:;
          if ((v16family)!=ECL_NIL) { goto L64; }
          goto L27;
L64:;
          if (!(ecl_eql(v16family,v3protocol))) { goto L29; }
          if (!(ecl_equal(v10host_address,v17address))) { goto L29; }
          if (!(ecl_number_equalp(v18number,v2display))) { goto L29; }
          {
          cl_object v21pos1;
          T0 = ecl_symbol_value(VV[0]);
          T1 = (ECL_SYM("STRING=",822)->symbol.gfdef);
          v21pos1 = cl_position(4, v19name, T0, ECL_SYM("TEST",1316), T1);
          if (Null(v21pos1)) { goto L29; }
          if (v12best_pos==ECL_NIL) { goto L73; }
          if (!(ecl_number_compare(v21pos1,v12best_pos)<0)) { goto L29; }
          goto L66;
L73:;
          }
L66:;
          v11best_name = v19name;
          T0 = ecl_symbol_value(VV[0]);
          T1 = (ECL_SYM("STRING=",822)->symbol.gfdef);
          v12best_pos = cl_position(4, v19name, T0, ECL_SYM("TEST",1316), T1);
          v13best_data = v20data;
         }
L29:;
         goto L28;
L27:;
         if (Null(v11best_name)) { goto L82; }
         cl_env_copy->nvalues = 2;
         cl_env_copy->values[1] = v13best_data;
         cl_env_copy->values[0] = v11best_name;
         cl_return_from(v4,ECL_NIL);
L82:;
         cl_env_copy->values[0] = ECL_NIL;
         cl_env_copy->nvalues = 1;
         goto L9;
        }
L10:;
        cl_env_copy->values[0] = ECL_NIL;
        cl_env_copy->nvalues = 1;
L9:;
        ecl_stack_frame_push_values(v9);
        if (Null(v6stream)) { goto L85; }
        cl_close(1, v6stream);
L85:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v9);
       }
       ecl_stack_frame_close(_ecl_inner_frame);
      }
        next_fr = NULL;
      }
      ecl_frs_pop(cl_env_copy);
      v8=ecl_stack_push_values(cl_env_copy);
      if (Null(v6stream)) { goto L87; }
      cl_close(3, v6stream, ECL_SYM("ABORT",1195), ECL_T);
L87:;
      ecl_stack_pop_values(cl_env_copy,v8);
      if (unwinding) ecl_unwind(cl_env_copy,next_fr);
      ECL_STACK_SET_INDEX(cl_env_copy,v7);
     }
    }
L2:;
    cl_env_copy->nvalues = 2;
    cl_env_copy->values[1] = _ecl_static_1;
    cl_env_copy->values[0] = _ecl_static_1;
    value0 = cl_env_copy->values[0];
    ecl_frs_pop(cl_env_copy);
    return value0;
   }}
  }
 }
}
/*	local function WITH-DISPLAY                                   */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC6with_display(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6display;
   cl_object v7;
   cl_object v8timeout;
   cl_object v9;
   cl_object v10inline;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v11;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v11;
    v11 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6display = v11;
   }
   v7 = si_search_keyword(2, v5, VV[8]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1930)))) { goto L17; }
   v8timeout = ECL_NIL;
   goto L16;
L17:;
   v8timeout = v7;
L16:;
   v9 = si_search_keyword(2, v5, VV[9]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1930)))) { goto L21; }
   v10inline = ECL_NIL;
   goto L20;
L21:;
   v10inline = v9;
L20:;
   si_check_keyword(2, v5, VV[10]);
   if (Null(v8timeout)) { goto L26; }
   T0 = cl_list(2, VV[8], v8timeout);
   goto L24;
L26:;
   T0 = ECL_NIL;
   goto L24;
L24:;
   if (Null(v10inline)) { goto L30; }
   T1 = cl_list(2, VV[9], v10inline);
   goto L28;
L30:;
   T1 = ECL_NIL;
   goto L28;
L28:;
   T2 = ecl_append(T0,T1);
   T3 = CONS(v6display,T2);
   value0 = cl_listX(3, VV[11], T3, v3);
   return value0;
  }
 }
}
/*	function definition for INITIALIZE-RESOURCE-ALLOCATOR         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L7initialize_resource_allocator(cl_object v1display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2id_mask;
   v2id_mask = ecl_function_dispatch(cl_env_copy,VV[138])(1, v1display) /*  DISPLAY-RESOURCE-ID-MASK */;
   if (ecl_zerop(v2id_mask)) { goto L2; }
   {
    cl_fixnum v3first;
    unsigned int v4mask;
    v3first = 0;
    {
     cl_object v5;
     v5 = ecl_make_fixnum(0);
     if (!(ECL_FIXNUMP(v2id_mask)||ECL_BIGNUMP(v2id_mask))) { goto L11; }
     v5 = v2id_mask;
     if (!(ecl_number_compare(v5,VV[13])<=0)) { goto L16; }
     T0 = ecl_make_bool(ecl_number_compare(v5,ecl_make_fixnum(0))>=0);
     goto L8;
L16:;
     T0 = ECL_NIL;
     goto L8;
L11:;
     T0 = ECL_NIL;
     goto L8;
    }
L8:;
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[14],v2id_mask);
    v4mask = ecl_to_uint(v2id_mask);
    goto L20;
L19:;
    {
     cl_object v5;
     v5 = ecl_make_integer((v3first)+1);
     {
      cl_fixnum v6;
      v6 = 0;
      if (!(ECL_FIXNUMP(v5))) { goto L29; }
      v6 = ecl_fixnum(v5);
      if (!((v6)<=(536870911))) { goto L34; }
      T0 = ecl_make_bool((v6)>=(0));
      goto L26;
L34:;
      T0 = ECL_NIL;
      goto L26;
L29:;
      T0 = ECL_NIL;
      goto L26;
     }
L26:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[15],v5);
     v3first = ecl_fixnum(v5);
    }
    {
     cl_object v5;
     v5 = cl_ash(ecl_make_uint(v4mask), ecl_make_fixnum(-1));
     {
      cl_object v6;
      v6 = ecl_make_fixnum(0);
      v6 = v5;
      if (!(ecl_number_compare(v6,VV[13])<=0)) { goto L47; }
      T0 = ecl_make_bool(ecl_number_compare(v6,ecl_make_fixnum(0))>=0);
      goto L39;
L47:;
      T0 = ECL_NIL;
      goto L39;
      T0 = ECL_NIL;
      goto L39;
     }
L39:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[14],v5);
     v4mask = ecl_to_uint(v5);
    }
L20:;
    if (ecl_oddp(ecl_make_uint(v4mask))) { goto L49; }
    goto L19;
L49:;
    {
     cl_object v5;
     {
      cl_index v6;
      v6 = ecl_integer_length(ecl_make_uint(v4mask));
      v5 = cl_byte(ecl_make_unsigned_integer(v6), ecl_make_fixnum(v3first));
     }
     value0 = ecl_structure_set(v1display,VV[16],32,v5);
     cl_env_copy->nvalues = 1;
     return value0;
    }
   }
L2:;
   value0 = ECL_NIL;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for RESOURCEALLOC                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L8resourcealloc(cl_object v1display)
{
 cl_object T0, T1, T2, T3;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v2next_count;
   {
    cl_object v3;
    T0 = ecl_function_dispatch(cl_env_copy,VV[140])(1, v1display) /*  DISPLAY-RESOURCE-ID-COUNT */;
    v3 = ecl_one_plus(T0);
    T0 = cl_realp(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),v3);
    v2next_count = v3;
   }
   {
    cl_object v3;
    cl_object v4;
    cl_object v5id;
    T0 = ecl_function_dispatch(cl_env_copy,VV[138])(1, v1display) /*  DISPLAY-RESOURCE-ID-MASK */;
    v3 = ecl_one_plus(T0);
    T0 = cl_realp(v3);
    if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(ECL_SYM("REAL",703),v3);
    v4 = v3;
    v5id = ECL_NIL;
L9:;
    v4 = ecl_minus(v4,ecl_make_fixnum(1));
    T0 = v4;
    if (!(ecl_minusp(T0))) { goto L11; }
    goto L10;
L11:;
    T0 = ecl_function_dispatch(cl_env_copy,VV[141])(1, v1display) /*  DISPLAY-RESOURCE-ID-BYTE */;
    T1 = ecl_function_dispatch(cl_env_copy,VV[142])(1, v1display) /*  DISPLAY-RESOURCE-ID-BASE */;
    v5id = cl_dpb(v2next_count, T0, T1);
    {
     struct ecl_stack_frame _ecl_inner_frame_aux;
     cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
     {
      cl_object v6;
      v6 = _ecl_inner_frame;
      T1 = ecl_function_dispatch(cl_env_copy,VV[143])(1, v1display) /*  DISPLAY-RESOURCE-ID-MAP */;
      cl_env_copy->values[0] = cl_gethash(2, v5id, T1);
      ecl_stack_frame_push_values(v6);cl_env_copy->values[0]=ecl_apply_from_stack_frame(v6,ECL_SYM("LIST",481));
      value0 = cl_env_copy->values[0];
     }
     ecl_stack_frame_close(_ecl_inner_frame);
    }
    T0 = value0;
    if ((ecl_cadr(T0))!=ECL_NIL) { goto L17; }
    ecl_structure_set(v1display,VV[16],33,v2next_count);
    T0 = ecl_function_dispatch(cl_env_copy,VV[143])(1, v1display) /*  DISPLAY-RESOURCE-ID-MAP */;
    si_hash_set(v5id, T0, ECL_T);
    value0 = v5id;
    cl_env_copy->nvalues = 1;
    return value0;
L17:;
    v2next_count = ecl_one_plus(v2next_count);
    goto L9;
L10:;
   }
  }
  goto L31;
L30:;
  si_assert_failure(1, VV[18]);
L31:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[143])(1, v1display) /*  DISPLAY-RESOURCE-ID-MAP */;
  T1 = cl_hash_table_count(T0);
  T2 = ecl_function_dispatch(cl_env_copy,VV[138])(1, v1display) /*  DISPLAY-RESOURCE-ID-MASK */;
  T3 = ecl_one_plus(T2);
  if (ecl_number_equalp(T1,T3)) { goto L34; }
  goto L30;
L34:;
  value0 = cl_error(1, VV[19]);
  return value0;
 }
}
/*	local function ALLOCATE-RESOURCE-ID                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC9allocate_resource_id(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4, T5, T6;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4display;
   cl_object v5object;
   cl_object v6type;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4display = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5object = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6type = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   T0 = ecl_list1(v4display);
   T2 = cl_eval(v6type);
   if (Null(ecl_memql(T2,VV[21]))) { goto L23; }
   T2 = cl_list(2, VV[23], v4display);
   T3 = cl_list(3, ECL_SYM("FUNCALL",394), T2, v4display);
   T4 = cl_list(2, VV[22], T3);
   T5 = ecl_list1(T4);
   T6 = cl_list(4, VV[24], v4display, VV[22], v5object);
   T1 = cl_list(4, ECL_SYM("LET",477), T5, T6, VV[22]);
   goto L22;
L23:;
   T2 = cl_list(2, VV[23], v4display);
   T1 = cl_list(3, ECL_SYM("FUNCALL",394), T2, v4display);
L22:;
   value0 = cl_list(3, VV[12], T0, T1);
   return value0;
  }
 }
}
/*	local function DEALLOCATE-RESOURCE-ID                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC10deallocate_resource_id(cl_object v1, cl_object v2)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4display;
   cl_object v5id;
   cl_object v6type;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4display = v7;
   }
   if (!(v3==ECL_NIL)) { goto L9; }
   si_dm_too_few_arguments(v1);
L9:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5id = v7;
   }
   if (!(v3==ECL_NIL)) { goto L15; }
   si_dm_too_few_arguments(v1);
L15:;
   {
    cl_object v7;
    v7 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6type = v7;
   }
   if (Null(v3)) { goto L20; }
   si_dm_too_many_arguments(v1);
L20:;
   value0 = cl_list(3, VV[26], v4display, v5id);
   return value0;
  }
 }
}
/*	function definition for DEALLOCATE-RESOURCE-ID-INTERNAL       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L11deallocate_resource_id_internal(cl_object volatile v1display, cl_object volatile v2id)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[147])(1, v1display) /*  BUFFER-DEAD */)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,VV[148])(3, VV[28], VV[29], v1display) /*  X-ERROR */;
L1:;
  {
   volatile cl_object v3;
   volatile cl_object v4;
   volatile cl_object v5;
   v3 = ecl_function_dispatch(cl_env_copy,VV[149])(1, v1display) /*  BUFFER-LOCK */;
   v4 = mp_lock_owner(v3);
   v5 = mp_lock_count(v3);
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     volatile cl_object v6;
     v6 = _ecl_inner_frame;
     {
      volatile cl_object v7;
      v7 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
      ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
      {
       volatile bool unwinding = FALSE;
       cl_index v8=ECL_STACK_INDEX(cl_env_copy),v9;
       ecl_frame_ptr next_fr;
       if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
         unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
       } else {
       ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v7); /*  *INTERRUPTS-ENABLED* */
       mp_get_lock(1, v3);
       T0 = ecl_function_dispatch(cl_env_copy,VV[143])(1, v1display) /*  DISPLAY-RESOURCE-ID-MAP */;
       cl_env_copy->values[0] = cl_remhash(v2id, T0);
       ecl_bds_unwind1(cl_env_copy);
         next_fr = NULL;
       }
       ecl_frs_pop(cl_env_copy);
       v9=ecl_stack_push_values(cl_env_copy);
       T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
       T1 = mp_lock_owner(v3);
       if (!((T0)==(T1))) { goto L13; }
       if (!((v4)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L16; }
       T0 = mp_lock_count(v3);
       if (!(ecl_number_compare(T0,v5)>0)) { goto L13; }
       goto L14;
L16:;
L14:;
       mp_giveup_lock(v3);
L13:;
       ecl_stack_pop_values(cl_env_copy,v9);
       if (unwinding) ecl_unwind(cl_env_copy,next_fr);
       ECL_STACK_SET_INDEX(cl_env_copy,v8);
       ecl_bds_unwind1(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
      }
     }
     ecl_stack_frame_push_values(v6);
     if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L18; }
     si_check_pending_interrupts();
L18:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v6);
     value0 = cl_env_copy->values[0];
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   return value0;
  }
 }
}
/*	function definition for LOOKUP-RESOURCE-ID                    */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L12lookup_resource_id(cl_object v1display, cl_object v2id)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[143])(1, v1display) /*  DISPLAY-RESOURCE-ID-MAP */;
  value0 = cl_gethash(2, v2id, T0);
  return value0;
 }
}
/*	function definition for SAVE-ID                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L13save_id(cl_object v1display, cl_object v2id, cl_object v3object)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v4;
   cl_object v5;
   v4 = ecl_function_dispatch(cl_env_copy,VV[142])(1, v1display) /*  DISPLAY-RESOURCE-ID-BASE */;
   v5 = ecl_function_dispatch(cl_env_copy,VV[138])(1, v1display) /*  DISPLAY-RESOURCE-ID-MASK */;
   T0 = ecl_boole(ECL_BOOLANDC2,(v2id),(v5));
   if (!(ecl_number_equalp(T0,v4))) { goto L3; }
   T0 = ecl_function_dispatch(cl_env_copy,VV[143])(1, v1display) /*  DISPLAY-RESOURCE-ID-MAP */;
   si_hash_set(v2id, T0, v3object);
L3:;
   value0 = v3object;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for LOOKUP-DRAWABLE                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L14lookup_drawable(cl_object v1display, cl_object v2id)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3id;
  v3id = ecl_to_fixnum(v2id);
TTL:
  {
   cl_object v4drawable;
   v4drawable = L12lookup_resource_id(v1display, ecl_make_fixnum(v3id));
   if (!(v4drawable==ECL_NIL)) { goto L2; }
   v4drawable = ecl_function_dispatch(cl_env_copy,VV[159])(4, VV[29], v1display, VV[31], ecl_make_fixnum(v3id)) /*  MAKE-DRAWABLE */;
   value0 = L13save_id(v1display, ecl_make_fixnum(v3id), v4drawable);
   return value0;
L2:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[160])(1, v4drawable) /*  DRAWABLE-P */)) { goto L6; }
   value0 = v4drawable;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[148])(9, VV[32], VV[31], ecl_make_fixnum(v3id), VV[29], v1display, ECL_SYM("TYPE",1318), VV[33], ECL_SYM("OBJECT",1278), v4drawable) /*  X-ERROR */;
   return value0;
  }
 }
}
/*	function definition for LOOKUP-WINDOW                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L15lookup_window(cl_object v1display, cl_object v2id)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3id;
  v3id = ecl_to_fixnum(v2id);
TTL:
  {
   cl_object v4window;
   v4window = L12lookup_resource_id(v1display, ecl_make_fixnum(v3id));
   if (!(v4window==ECL_NIL)) { goto L2; }
   v4window = ecl_function_dispatch(cl_env_copy,VV[161])(4, VV[29], v1display, VV[31], ecl_make_fixnum(v3id)) /*  MAKE-WINDOW */;
   value0 = L13save_id(v1display, ecl_make_fixnum(v3id), v4window);
   return value0;
L2:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[160])(1, v4window) /*  DRAWABLE-P */)) { goto L6; }
   value0 = v4window;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[148])(9, VV[32], VV[31], ecl_make_fixnum(v3id), VV[29], v1display, ECL_SYM("TYPE",1318), VV[35], ECL_SYM("OBJECT",1278), v4window) /*  X-ERROR */;
   return value0;
  }
 }
}
/*	function definition for LOOKUP-PIXMAP                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L16lookup_pixmap(cl_object v1display, cl_object v2id)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3id;
  v3id = ecl_to_fixnum(v2id);
TTL:
  {
   cl_object v4pixmap;
   v4pixmap = L12lookup_resource_id(v1display, ecl_make_fixnum(v3id));
   if (!(v4pixmap==ECL_NIL)) { goto L2; }
   v4pixmap = ecl_function_dispatch(cl_env_copy,VV[162])(4, VV[29], v1display, VV[31], ecl_make_fixnum(v3id)) /*  MAKE-PIXMAP */;
   value0 = L13save_id(v1display, ecl_make_fixnum(v3id), v4pixmap);
   return value0;
L2:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[160])(1, v4pixmap) /*  DRAWABLE-P */)) { goto L6; }
   value0 = v4pixmap;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[148])(9, VV[32], VV[31], ecl_make_fixnum(v3id), VV[29], v1display, ECL_SYM("TYPE",1318), VV[37], ECL_SYM("OBJECT",1278), v4pixmap) /*  X-ERROR */;
   return value0;
  }
 }
}
/*	function definition for LOOKUP-GCONTEXT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L17lookup_gcontext(cl_object v1display, cl_object v2id)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3id;
  v3id = ecl_to_fixnum(v2id);
TTL:
  value0 = ecl_function_dispatch(cl_env_copy,VV[163])(4, VV[29], v1display, VV[31], ecl_make_fixnum(v3id)) /*  MAKE-GCONTEXT */;
  return value0;
 }
}
/*	function definition for LOOKUP-CURSOR                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L18lookup_cursor(cl_object v1display, cl_object v2id)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3id;
  v3id = ecl_to_fixnum(v2id);
TTL:
  {
   cl_object v4cursor;
   v4cursor = L12lookup_resource_id(v1display, ecl_make_fixnum(v3id));
   if (!(v4cursor==ECL_NIL)) { goto L2; }
   v4cursor = ecl_function_dispatch(cl_env_copy,VV[164])(4, VV[29], v1display, VV[31], ecl_make_fixnum(v3id)) /*  MAKE-CURSOR */;
   value0 = L13save_id(v1display, ecl_make_fixnum(v3id), v4cursor);
   return value0;
L2:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[165])(1, v4cursor) /*  CURSOR-P */)) { goto L6; }
   value0 = v4cursor;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[148])(9, VV[32], VV[31], ecl_make_fixnum(v3id), VV[29], v1display, ECL_SYM("TYPE",1318), VV[40], ECL_SYM("OBJECT",1278), v4cursor) /*  X-ERROR */;
   return value0;
  }
 }
}
/*	function definition for LOOKUP-COLORMAP                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L19lookup_colormap(cl_object v1display, cl_object v2id)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3id;
  v3id = ecl_to_fixnum(v2id);
TTL:
  {
   cl_object v4colormap;
   v4colormap = L12lookup_resource_id(v1display, ecl_make_fixnum(v3id));
   if (!(v4colormap==ECL_NIL)) { goto L2; }
   v4colormap = ecl_function_dispatch(cl_env_copy,VV[166])(4, VV[29], v1display, VV[31], ecl_make_fixnum(v3id)) /*  MAKE-COLORMAP */;
   value0 = L13save_id(v1display, ecl_make_fixnum(v3id), v4colormap);
   return value0;
L2:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[167])(1, v4colormap) /*  COLORMAP-P */)) { goto L6; }
   value0 = v4colormap;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[148])(9, VV[32], VV[31], ecl_make_fixnum(v3id), VV[29], v1display, ECL_SYM("TYPE",1318), VV[42], ECL_SYM("OBJECT",1278), v4colormap) /*  X-ERROR */;
   return value0;
  }
 }
}
/*	function definition for LOOKUP-FONT                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L20lookup_font(cl_object v1display, cl_object v2id)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3id;
  v3id = ecl_to_fixnum(v2id);
TTL:
  {
   cl_object v4font;
   v4font = L12lookup_resource_id(v1display, ecl_make_fixnum(v3id));
   if (!(v4font==ECL_NIL)) { goto L2; }
   v4font = ecl_function_dispatch(cl_env_copy,VV[168])(4, VV[29], v1display, VV[31], ecl_make_fixnum(v3id)) /*  MAKE-FONT */;
   value0 = L13save_id(v1display, ecl_make_fixnum(v3id), v4font);
   return value0;
L2:;
   if (Null(ecl_function_dispatch(cl_env_copy,VV[169])(1, v4font) /*  FONT-P */)) { goto L6; }
   value0 = v4font;
   cl_env_copy->nvalues = 1;
   return value0;
L6:;
   value0 = ecl_function_dispatch(cl_env_copy,VV[148])(9, VV[32], VV[31], ecl_make_fixnum(v3id), VV[29], v1display, ECL_SYM("TYPE",1318), VV[44], ECL_SYM("OBJECT",1278), v4font) /*  X-ERROR */;
   return value0;
  }
 }
}
/*	function definition for ID-ATOM                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L21id_atom(cl_object v1id, cl_object v2display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3id;
  v3id = ecl_to_fixnum(v1id);
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[171])(1, v2display) /*  DISPLAY-ATOM-ID-MAP */;
  value0 = cl_gethash(2, ecl_make_fixnum(v3id), T0);
  return value0;
 }
}
/*	function definition for ATOM-ID                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L22atom_id(cl_object v1atom, cl_object v2display)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (v1atom==ECL_NIL) { goto L4; }
  if (Null(cl_keywordp(v1atom))) { goto L2; }
  goto L3;
L4:;
L3:;
  T0 = v1atom;
  goto L1;
L2:;
  T0 = ecl_function_dispatch(cl_env_copy,VV[173])(1, v1atom) /*  KINTERN */;
L1:;
  T1 = ecl_function_dispatch(cl_env_copy,VV[174])(1, v2display) /*  DISPLAY-ATOM-CACHE */;
  value0 = cl_gethash(2, T0, T1);
  return value0;
 }
}
/*	function definition for SET-ATOM-ID                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L23set_atom_id(cl_object v1atom, cl_object v2display, cl_object v3id)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v4id;
  v4id = ecl_to_fixnum(v3id);
TTL:
  {
   cl_object v5atom;
   if (v1atom==ECL_NIL) { goto L4; }
   if (Null(cl_keywordp(v1atom))) { goto L2; }
   goto L3;
L4:;
L3:;
   v5atom = v1atom;
   goto L1;
L2:;
   v5atom = ecl_function_dispatch(cl_env_copy,VV[173])(1, v1atom) /*  KINTERN */;
L1:;
   T0 = ecl_function_dispatch(cl_env_copy,VV[171])(1, v2display) /*  DISPLAY-ATOM-ID-MAP */;
   si_hash_set(ecl_make_fixnum(v4id), T0, v5atom);
   T0 = ecl_function_dispatch(cl_env_copy,VV[174])(1, v2display) /*  DISPLAY-ATOM-CACHE */;
   si_hash_set(v5atom, T0, ecl_make_fixnum(v4id));
   value0 = ecl_make_fixnum(v4id);
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for INITIALIZE-PREDEFINED-ATOMS           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L24initialize_predefined_atoms(cl_object v1display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_fixnum v2;
   v2 = ecl_length(ecl_symbol_value(VV[49]));
   {
    cl_fixnum v3i;
    v3i = 0;
    goto L5;
L4:;
    T0 = ecl_aref1(ecl_symbol_value(VV[49]),v3i);
    L23set_atom_id(T0, v1display, ecl_make_fixnum(v3i));
    v3i = (v3i)+1;
L5:;
    if (!((v3i)<(v2))) { goto L10; }
    goto L4;
L10:;
    value0 = ECL_NIL;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for VISUAL-INFO                           */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L25visual_info(cl_object v1display, cl_object v2visual_id)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
  cl_fixnum v3visual_id;
  v3visual_id = ecl_to_fixnum(v2visual_id);
TTL:
  if (!((v3visual_id)==0)) { goto L1; }
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
L1:;
  {
   cl_object v4;
   v4 = ecl_function_dispatch(cl_env_copy,VV[178])(1, v1display) /*  DISPLAY-ROOTS */;
   goto L7;
L6:;
   {
    cl_object v5screen;
    {
     cl_object v6;
     v6 = ecl_car(v4);
     T0 = si_of_class_p(2, v6, VV[51]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[51],v6);
     v5screen = v6;
    }
    {
     cl_object v6;
     v6 = ecl_function_dispatch(cl_env_copy,VV[179])(1, v5screen) /*  SCREEN-DEPTHS */;
     goto L17;
L16:;
     {
      cl_object v7depth;
      {
       cl_object v8;
       v8 = ecl_car(v6);
       if (ecl_unlikely(ECL_ATOM(v8))) FEtype_error_cons(v8);
       v7depth = v8;
      }
      {
       cl_object v8;
       v8 = ecl_cdr(v7depth);
       goto L27;
L26:;
       {
        cl_object v9visual_info;
        {
         cl_object v10;
         v10 = ecl_car(v8);
         T0 = si_of_class_p(2, v10, VV[52]);
         if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[52],v10);
         v9visual_info = v10;
        }
        T0 = ecl_function_dispatch(cl_env_copy,VV[180])(1, v9visual_info) /*  VISUAL-INFO-ID */;
        if (!((ecl_make_fixnum(v3visual_id))==(T0))) { goto L33; }
        value0 = v9visual_info;
        cl_env_copy->nvalues = 1;
        return value0;
L33:;
       }
       v8 = ecl_cdr(v8);
L27:;
       if (Null(v8)) { goto L37; }
       goto L26;
L37:;
      }
     }
     v6 = ecl_cdr(v6);
L17:;
     if (Null(v6)) { goto L41; }
     goto L16;
L41:;
    }
   }
   v4 = ecl_cdr(v4);
L7:;
   if (Null(v4)) { goto L45; }
   goto L6;
L45:;
  }
  value0 = cl_error(3, _ecl_static_2, ecl_make_fixnum(v3visual_id), v1display);
  return value0;
 }
}
/*	local function WITH-EVENT-QUEUE                               */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC26with_event_queue(cl_object v1, cl_object v2env)
{
 cl_object T0, T1, T2, T3, T4, T5;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6display;
   cl_object v7;
   cl_object v8timeout;
   cl_object v9;
   cl_object v10inline;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v11;
    v11 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v11;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v11;
    v11 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6display = v11;
   }
   v7 = si_search_keyword(2, v5, VV[8]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1930)))) { goto L17; }
   v8timeout = ECL_NIL;
   goto L16;
L17:;
   v8timeout = v7;
L16:;
   v9 = si_search_keyword(2, v5, VV[9]);
   if (!((v9)==(ECL_SYM("MISSING-KEYWORD",1930)))) { goto L21; }
   v10inline = ECL_NIL;
   goto L20;
L21:;
   v10inline = v9;
L20:;
   si_check_keyword(2, v5, VV[10]);
   if (!(v10inline==ECL_NIL)) { goto L25; }
   if (Null(cl_macroexpand(2, VV[54], v2env))) { goto L25; }
   T1 = cl_listX(3, VV[55], ECL_NIL, v3);
   T2 = ecl_list1(T1);
   T3 = cl_list(4, VV[57], v6display, v8timeout, VV[58]);
   T0 = cl_list(4, ECL_SYM("FLET",373), T2, VV[56], T3);
   goto L24;
L25:;
   {
    cl_object v11disp;
    if (ECL_SYMBOLP(v6display)) { goto L31; }
    if (Null(cl_constantp(1, v6display))) { goto L29; }
    goto L30;
L31:;
L30:;
    v11disp = v6display;
    goto L28;
L29:;
    v11disp = VV[59];
L28:;
    if ((v11disp)==(v6display)) { goto L34; }
    T2 = cl_list(2, v11disp, v6display);
    T1 = ecl_list1(T2);
    goto L33;
L34:;
    T1 = ECL_NIL;
L33:;
    T2 = cl_list(2, VV[61], v11disp);
    if (Null(v8timeout)) { goto L38; }
    T3 = cl_list(2, VV[8], v8timeout);
    goto L36;
L38:;
    T3 = ECL_NIL;
    goto L36;
L36:;
    T4 = cl_listX(4, T2, v11disp, _ecl_static_3, T3);
    T5 = cl_listX(3, VV[60], T4, v3);
    T0 = cl_list(3, ECL_SYM("LET",477), T1, T5);
   }
L24:;
   value0 = cl_list(3, ECL_SYM("MACROLET",521), VV[53], T0);
   return value0;
  }
 }
}
/*	function definition for WITH-EVENT-QUEUE-FUNCTION             */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L27with_event_queue_function(cl_object volatile v1display, cl_object volatile v2timeout, cl_object volatile v3function)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v4;
   volatile cl_object v5;
   volatile cl_object v6;
   v4 = ecl_function_dispatch(cl_env_copy,VV[61])(1, v1display) /*  DISPLAY-EVENT-LOCK */;
   v5 = mp_lock_owner(v4);
   v6 = mp_lock_count(v4);
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     volatile cl_object v7;
     v7 = _ecl_inner_frame;
     {
      volatile cl_object v8;
      v8 = ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
      ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
      {
       volatile bool unwinding = FALSE;
       cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
       ecl_frame_ptr next_fr;
       if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
         unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
       } else {
       ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v8); /*  *INTERRUPTS-ENABLED* */
       mp_get_lock(1, v4);
       cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,v3function)(0);
       ecl_bds_unwind1(cl_env_copy);
         next_fr = NULL;
       }
       ecl_frs_pop(cl_env_copy);
       v10=ecl_stack_push_values(cl_env_copy);
       T0 = ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1398));
       T1 = mp_lock_owner(v4);
       if (!((T0)==(T1))) { goto L11; }
       if (!((v5)==(ecl_symbol_value(ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L14; }
       T0 = mp_lock_count(v4);
       if (!(ecl_number_compare(T0,v6)>0)) { goto L11; }
       goto L12;
L14:;
L12:;
       mp_giveup_lock(v4);
L11:;
       ecl_stack_pop_values(cl_env_copy,v10);
       if (unwinding) ecl_unwind(cl_env_copy,next_fr);
       ECL_STACK_SET_INDEX(cl_env_copy,v9);
       ecl_bds_unwind1(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
      }
     }
     ecl_stack_frame_push_values(v7);
     if (Null(ecl_symbol_value(ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L16; }
     si_check_pending_interrupts();
L16:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v7);
     value0 = cl_env_copy->values[0];
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   return value0;
  }
 }
}
/*	local function WITH-EVENT-QUEUE-INTERNAL                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object LC28with_event_queue_internal(cl_object v1, cl_object v2)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   cl_object v3;
   cl_object v4;
   cl_object v5;
   cl_object v6display;
   cl_object v7;
   cl_object v8timeout;
   v3 = ecl_cdr(v1);
   if (!(v3==ECL_NIL)) { goto L3; }
   si_dm_too_few_arguments(v1);
L3:;
   {
    cl_object v9;
    v9 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4 = v9;
   }
   v5 = v4;
   if (!(v5==ECL_NIL)) { goto L10; }
   si_dm_too_few_arguments(v1);
L10:;
   {
    cl_object v9;
    v9 = ecl_car(v5);
    v5 = ecl_cdr(v5);
    v6display = v9;
   }
   v7 = si_search_keyword(2, v5, VV[8]);
   if (!((v7)==(ECL_SYM("MISSING-KEYWORD",1930)))) { goto L17; }
   v8timeout = ECL_NIL;
   goto L16;
L17:;
   v8timeout = v7;
L16:;
   si_check_keyword(2, v5, VV[63]);
   {
    cl_object v9disp;
    if (ECL_SYMBOLP(v6display)) { goto L23; }
    if (Null(cl_constantp(1, v6display))) { goto L21; }
    goto L22;
L23:;
L22:;
    v9disp = v6display;
    goto L20;
L21:;
    v9disp = VV[59];
L20:;
    if ((v9disp)==(v6display)) { goto L26; }
    T1 = cl_list(2, v9disp, v6display);
    T0 = ecl_list1(T1);
    goto L25;
L26:;
    T0 = ECL_NIL;
L25:;
    T1 = cl_list(2, VV[64], v9disp);
    if (Null(v8timeout)) { goto L30; }
    T2 = cl_list(2, VV[8], v8timeout);
    goto L28;
L30:;
    T2 = ECL_NIL;
    goto L28;
L28:;
    T3 = cl_listX(4, T1, v9disp, _ecl_static_4, T2);
    T4 = cl_listX(3, VV[60], T3, v3);
    value0 = cl_list(3, ECL_SYM("LET",477), T0, T4);
    return value0;
   }
  }
 }
}
/*	function definition for OPEN-DEFAULT-DISPLAY                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L29open_default_display(cl_narg narg, ...)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg>1)) FEwrong_num_arguments_anonym();
 {
  cl_object v1display_name;
  va_list args; va_start(args,narg);
  {
   int i = 0;
   if (i >= narg) {
    v1display_name = ECL_NIL;
   } else {
    i++;
    v1display_name = va_arg(args,cl_object);
   }
  }
  va_end(args);
  {
   cl_object v2;
   cl_object v3;
   cl_object v4host;
   cl_object v5display;
   cl_object v6screen;
   cl_object v7protocol;
   v2 = ecl_function_dispatch(cl_env_copy,VV[185])(1, v1display_name) /*  GET-DEFAULT-DISPLAY */;
   v3 = v2;
   if (!(v3==ECL_NIL)) { goto L5; }
   si_dm_too_few_arguments(v2);
L5:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v4host = v8;
   }
   if (!(v3==ECL_NIL)) { goto L11; }
   si_dm_too_few_arguments(v2);
L11:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v5display = v8;
   }
   if (!(v3==ECL_NIL)) { goto L17; }
   si_dm_too_few_arguments(v2);
L17:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v6screen = v8;
   }
   if (!(v3==ECL_NIL)) { goto L23; }
   si_dm_too_few_arguments(v2);
L23:;
   {
    cl_object v8;
    v8 = ecl_car(v3);
    v3 = ecl_cdr(v3);
    v7protocol = v8;
   }
   if (Null(v3)) { goto L28; }
   si_dm_too_many_arguments(v2);
L28:;
   {
    cl_object v8display;
    v8display = L30open_display(5, v4host, VV[29], v5display, VV[66], v7protocol);
    {
     cl_object v9;
     T0 = ecl_function_dispatch(cl_env_copy,VV[178])(1, v8display) /*  DISPLAY-ROOTS */;
     v9 = ecl_nth(ecl_to_size(v6screen),T0);
     ecl_structure_set(v8display,VV[16],39,v9);
    }
    value0 = v8display;
    cl_env_copy->nvalues = 1;
    return value0;
   }
  }
 }
}
/*	function definition for OPEN-DISPLAY                          */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L30open_display(volatile cl_narg narg, cl_object volatile v1host, ...)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2display;
  cl_object volatile v3protocol;
  cl_object volatile v4authorization_name;
  cl_object volatile v5authorization_data;
  ecl_va_list args; ecl_va_start(args,v1host,narg,1);
  {
   cl_object keyvars[8];
   cl_parse_key(args,4,L30open_displaykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   if (Null(keyvars[4])) {
    v2display = ecl_make_fixnum(0);
   } else {
    v2display = keyvars[0];
   }
   v3protocol = keyvars[1];
   v4authorization_name = keyvars[2];
   v5authorization_data = keyvars[3];
  }
  if (!(v4authorization_name==ECL_NIL)) { goto L2; }
  if (!(ecl_equal(v1host,_ecl_static_1))) { goto L11; }
  goto L8;
  goto L9;
L11:;
  goto L9;
L9:;
  if (!(ecl_equal(v1host,_ecl_static_5))) { goto L6; }
  goto L7;
L8:;
L7:;
  T0 = ECL_SYM("LOCAL",1268);
  goto L5;
L6:;
  T0 = v3protocol;
L5:;
  value0 = L5get_best_authorization(v1host, v2display, T0);
  v4authorization_name = value0;
  {
   const int v6 = cl_env_copy->nvalues;
   cl_object v7;
   v7 = (v6<=1)? ECL_NIL : cl_env_copy->values[1];
   v5authorization_data = v7;
  }
L2:;
  {
   volatile cl_object v6stream;
   volatile cl_object v7disp;
   volatile cl_object v8ok_p;
   v6stream = ecl_function_dispatch(cl_env_copy,VV[191])(3, v1host, v2display, v3protocol) /*  OPEN-X-STREAM */;
   T0 = ecl_symbol_value(VV[70]);
   T1 = ecl_fdefinition(VV[192]);
   v7disp = ecl_function_dispatch(cl_env_copy,VV[193])(10, T0, T1, ECL_SYM("HOST",1243), v1host, VV[29], v2display, VV[71], v6stream, VV[72], v6stream) /*  MAKE-BUFFER */;
   v8ok_p = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index v9=ECL_STACK_INDEX(cl_env_copy),v10;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    L33display_connect(5, v7disp, VV[73], v4authorization_name, VV[74], v5authorization_data);
    ecl_structure_set(v7disp,VV[16],50,v4authorization_name);
    ecl_structure_set(v7disp,VV[16],51,v5authorization_data);
    L7initialize_resource_allocator(v7disp);
    L24initialize_predefined_atoms(v7disp);
    ecl_function_dispatch(cl_env_copy,VV[194])(1, v7disp) /*  INITIALIZE-EXTENSIONS */;
    {
     cl_object v11;
     v11 = ecl_function_dispatch(cl_env_copy,VV[195])(1, v7disp) /*  DISPLAY-EXTENSION-ALIST */;
     goto L31;
L30:;
     {
      cl_object v12;
      cl_object v13;
      if (ecl_unlikely(ECL_ATOM(v11))) FEtype_error_cons(v11);
      v12 = v11;
      v13 = ECL_CONS_CAR(v12);
      if (Null(v13)) { goto L33; }
      {
       cl_object v14;
       if (ecl_unlikely(ECL_ATOM(v13))) FEtype_error_cons(v13);
       T0 = v13;
       v14 = ECL_CONS_CAR(T0);
       if (Null(cl_stringE(2, _ecl_static_6, v14))) { goto L33; }
       if (Null(v13)) { goto L26; }
       goto L27;
      }
     }
L33:;
     v11 = ECL_CONS_CDR(v11);
L31:;
     if (v11==ECL_NIL) { goto L44; }
     goto L30;
L44:;
     goto L26;
    }
L27:;
    ecl_function_dispatch(cl_env_copy,VV[196])(1, v7disp) /*  ENABLE-BIG-REQUESTS */;
L26:;
    v8ok_p = ECL_T;
    cl_env_copy->values[0] = ECL_T;
    cl_env_copy->nvalues = 1;
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v10=ecl_stack_push_values(cl_env_copy);
    if ((v8ok_p)!=ECL_NIL) { goto L47; }
    L32close_display(3, v7disp, ECL_SYM("ABORT",1195), ECL_T);
L47:;
    ecl_stack_pop_values(cl_env_copy,v10);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v9);
   }
   value0 = v7disp;
   cl_env_copy->nvalues = 1;
   return value0;
  }
 }
}
/*	function definition for DISPLAY-FORCE-OUTPUT                  */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L31display_force_output(cl_object volatile v1display)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[147])(1, v1display) /*  BUFFER-DEAD */)) { goto L1; }
  ecl_function_dispatch(cl_env_copy,VV[148])(3, VV[28], VV[29], v1display) /*  X-ERROR */;
L1:;
  {
   volatile cl_object v2;
   volatile cl_object v3;
   volatile cl_object v4;
   v2 = ecl_function_dispatch(cl_env_copy,VV[149])(1, v1display) /*  BUFFER-LOCK */;
   v3 = mp_lock_owner(v2);
   v4 = mp_lock_count(v2);
   {
    struct ecl_stack_frame _ecl_inner_frame_aux;
    volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
    {
     volatile cl_object v5;
     v5 = _ecl_inner_frame;
     {
      volatile cl_object v6;
      v6 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
      ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
      ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
      {
       volatile bool unwinding = FALSE;
       cl_index v7=ECL_STACK_INDEX(cl_env_copy),v8;
       ecl_frame_ptr next_fr;
       if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
         unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
       } else {
       ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v6); /*  *INTERRUPTS-ENABLED* */
       mp_get_lock(1, v2);
       cl_env_copy->values[0] = ecl_function_dispatch(cl_env_copy,VV[198])(1, v1display) /*  BUFFER-FORCE-OUTPUT */;
       ecl_bds_unwind1(cl_env_copy);
         next_fr = NULL;
       }
       ecl_frs_pop(cl_env_copy);
       v8=ecl_stack_push_values(cl_env_copy);
       T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
       T1 = mp_lock_owner(v2);
       if (!((T0)==(T1))) { goto L13; }
       if (!((v3)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L16; }
       T0 = mp_lock_count(v2);
       if (!(ecl_number_compare(T0,v4)>0)) { goto L13; }
       goto L14;
L16:;
L14:;
       mp_giveup_lock(v2);
L13:;
       ecl_stack_pop_values(cl_env_copy,v8);
       if (unwinding) ecl_unwind(cl_env_copy,next_fr);
       ECL_STACK_SET_INDEX(cl_env_copy,v7);
       ecl_bds_unwind1(cl_env_copy);
       ecl_bds_unwind1(cl_env_copy);
      }
     }
     ecl_stack_frame_push_values(v5);
     if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L18; }
     si_check_pending_interrupts();
L18:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v5);
     value0 = cl_env_copy->values[0];
    }
    ecl_stack_frame_close(_ecl_inner_frame);
   }
   return value0;
  }
 }
}
/*	function definition for CLOSE-DISPLAY                         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L32close_display(cl_narg narg, cl_object v1display, ...)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object v2abort;
  ecl_va_list args; ecl_va_start(args,v1display,narg,1);
  {
   cl_object keyvars[2];
   cl_parse_key(args,1,L32close_displaykeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2abort = keyvars[0];
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[201])(3, v1display, ECL_SYM("ABORT",1195), v2abort) /*  CLOSE-BUFFER */;
  return value0;
 }
}
/*	function definition for DISPLAY-CONNECT                       */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L33display_connect(volatile cl_narg narg, cl_object volatile v1display, ...)
{
 cl_object T0, T1, T2, T3, T4, T5, T6, T7, T8, T9, T10, T11, T12, T13, T14, T15, T16, T17, T18;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 if (ecl_unlikely(narg<1)) FEwrong_num_arguments_anonym();
 {
  cl_object volatile v2authorization_name;
  cl_object volatile v3authorization_data;
  ecl_va_list args; ecl_va_start(args,v1display,narg,1);
  {
   cl_object keyvars[4];
   cl_parse_key(args,2,L33display_connectkeys,keyvars,NULL,FALSE);
   ecl_va_end(args);
   v2authorization_name = keyvars[0];
   v3authorization_data = keyvars[1];
  }
  {
   cl_object v4_buffer;
   T0 = si_of_class_p(2, v1display, VV[16]);
   if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[16],v1display);
   v4_buffer = v1display;
   {
    cl_fixnum v5buffer_boffset;
    cl_object v6buffer_bbuf;
    v5buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[203])(1, v4_buffer) /*  BUFFER-BOFFSET */);
    v6buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[204])(1, v4_buffer) /*  BUFFER-OBUF8 */;
    {
     uint8_t v7;
     cl_fixnum v8;
     {
      cl_object v9;
      v9 = ecl_function_dispatch(cl_env_copy,VV[205])(1, v1display) /*  DISPLAY-BYTE-ORDER */;
      if (!(ecl_eql(v9,VV[78]))) { goto L12; }
      v7 = (uint8_t)(108);
      goto L10;
L12:;
      if (!(ecl_eql(v9,VV[79]))) { goto L14; }
      v7 = (uint8_t)(66);
      goto L10;
L14:;
      v7 = ecl_fixnum(si_ecase_error(v9, VV[80]));
     }
L10:;
     v8 = (v5buffer_boffset)+(0);
     (v6buffer_bbuf)->vector.self.b8[v8]= v7;
    }
    T0 = ecl_plus(ecl_make_fixnum(v5buffer_boffset),ecl_make_fixnum(2));
    ecl_function_dispatch(cl_env_copy,VV[206])(3, ECL_SYM_VAL(cl_env_copy,VV[81]), v6buffer_bbuf, T0) /*  ASET-CARD16 */;
    T0 = ecl_plus(ecl_make_fixnum(v5buffer_boffset),ecl_make_fixnum(4));
    ecl_function_dispatch(cl_env_copy,VV[206])(3, ECL_SYM_VAL(cl_env_copy,VV[82]), v6buffer_bbuf, T0) /*  ASET-CARD16 */;
    {
     cl_fixnum v7;
     v7 = ecl_length(v2authorization_name);
     T0 = ecl_plus(ecl_make_fixnum(v5buffer_boffset),ecl_make_fixnum(6));
     ecl_function_dispatch(cl_env_copy,VV[206])(3, ecl_make_fixnum(v7), v6buffer_bbuf, T0) /*  ASET-CARD16 */;
    }
    {
     cl_fixnum v7;
     v7 = ecl_length(v3authorization_data);
     T0 = ecl_plus(ecl_make_fixnum(v5buffer_boffset),ecl_make_fixnum(8));
     ecl_function_dispatch(cl_env_copy,VV[206])(3, ecl_make_fixnum(v7), v6buffer_bbuf, T0) /*  ASET-CARD16 */;
    }
    ecl_function_dispatch(cl_env_copy,VV[207])(3, v1display, ecl_make_fixnum(12), v2authorization_name) /*  WRITE-SEQUENCE-CHAR */;
    if (!(ECL_STRINGP(v3authorization_data))) { goto L22; }
    {
     cl_fixnum v7;
     v7 = ecl_length(v2authorization_name);
     {
      cl_fixnum v8;
      v8 = (12)+(v7);
      T0 = ecl_plus(ecl_make_fixnum(v8),ecl_make_fixnum(3));
      T1 = ecl_boole(ECL_BOOLAND,(T0),(ecl_make_fixnum(-4)));
      ecl_function_dispatch(cl_env_copy,VV[207])(3, v1display, T1, v3authorization_data) /*  WRITE-SEQUENCE-CHAR */;
      goto L1;
     }
    }
L22:;
    {
     cl_fixnum v9;
     v9 = ecl_length(v2authorization_name);
     {
      cl_fixnum v10;
      v10 = (12)+(v9);
      T0 = ecl_plus(ecl_make_fixnum(v10),ecl_make_fixnum(3));
      T1 = ecl_boole(ECL_BOOLAND,(T0),(ecl_make_fixnum(-4)));
      ecl_function_dispatch(cl_env_copy,VV[208])(3, v1display, T1, v3authorization_data) /*  WRITE-SEQUENCE-CARD8 */;
     }
    }
   }
  }
L1:;
  ecl_function_dispatch(cl_env_copy,VV[198])(1, v1display) /*  BUFFER-FORCE-OUTPUT */;
  {
   volatile cl_object v4reply_buffer;
   v4reply_buffer = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index v5=ECL_STACK_INDEX(cl_env_copy),v6;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    {
     cl_object v7;
     v7 = ecl_function_dispatch(cl_env_copy,VV[209])(1, ecl_make_fixnum(4096)) /*  ALLOCATE-REPLY-BUFFER */;
     value0 = ecl_make_bool(v7==ECL_NIL);
     if ((value0)!=ECL_NIL) { goto L34; }
     T0 = si_of_class_p(2, v7, VV[83]);
     goto L32;
L34:;
     T0 = value0;
     goto L32;
L32:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[84],v7);
     v4reply_buffer = v7;
    }
    {
     cl_object v7_reply_buffer;
     T0 = si_of_class_p(2, v4reply_buffer, VV[83]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[83],v4reply_buffer);
     v7_reply_buffer = v4reply_buffer;
     {
      cl_object v8buffer_bbuf;
      v8buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[210])(1, v7_reply_buffer) /*  REPLY-IBUF8 */;
      ecl_function_dispatch(cl_env_copy,VV[211])(4, v1display, v8buffer_bbuf, ecl_make_fixnum(0), ecl_make_fixnum(8)) /*  BUFFER-INPUT */;
      {
       cl_object v9;
       uint8_t v10;
       cl_object v11;
       cl_object v12;
       cl_object v13;
       cl_object v14vendor_length;
       cl_object v15num_roots;
       cl_object v16num_formats;
       {
        uint8_t v17;
        {
         cl_fixnum v18;
         v18 = (0)+(0);
         v17 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v18]);
        }
        v9 = ecl_make_bool(((cl_fixnum)(v17))>0);
       }
       {
        cl_fixnum v17;
        v17 = (0)+(1);
        v10 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v17]);
       }
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(2));
       v11 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T0) /*  AREF-CARD16 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(4));
       v12 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T0) /*  AREF-CARD16 */;
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(6));
       v13 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T0) /*  AREF-CARD16 */;
       v14vendor_length = ECL_NIL;
       v15num_roots = ECL_NIL;
       v16num_formats = ECL_NIL;
       if ((v9)!=ECL_NIL) { goto L53; }
       T0 = ecl_function_dispatch(cl_env_copy,VV[213])(1, v1display) /*  DISPLAY-HOST */;
       T1 = ecl_function_dispatch(cl_env_copy,VV[214])(1, v1display) /*  DISPLAY-DISPLAY */;
       ecl_function_dispatch(cl_env_copy,VV[211])(4, v1display, v8buffer_bbuf, ecl_make_fixnum(0), ecl_make_uint8_t(v10)) /*  BUFFER-INPUT */;
       T2 = ecl_function_dispatch(cl_env_copy,VV[215])(7, v4reply_buffer, ECL_SYM("STRING",805), ecl_make_uint8_t(v10), ECL_NIL, ECL_NIL, ecl_make_fixnum(0), ecl_make_fixnum(0)) /*  READ-SEQUENCE-CHAR */;
       ecl_function_dispatch(cl_env_copy,VV[148])(11, VV[85], VV[86], v11, VV[87], v12, ECL_SYM("HOST",1243), T0, VV[29], T1, VV[88], T2) /*  X-ERROR */;
L53:;
       ecl_function_dispatch(cl_env_copy,VV[211])(4, v1display, v8buffer_bbuf, ecl_make_fixnum(0), ecl_make_fixnum(32)) /*  BUFFER-INPUT */;
       (v1display)->instance.slots[27]=v11;
       (v1display)->instance.slots[28]=v12;
       {
        cl_object v17;
        T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(0));
        v17 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
        (v1display)->instance.slots[37]=v17;
       }
       {
        cl_object v17;
        T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(4));
        v17 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
        (v1display)->instance.slots[30]=v17;
       }
       {
        cl_object v17;
        T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(8));
        v17 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
        (v1display)->instance.slots[31]=v17;
       }
       {
        cl_object v17;
        T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(12));
        v17 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
        (v1display)->instance.slots[41]=v17;
       }
       T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(16));
       v14vendor_length = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T0) /*  AREF-CARD16 */;
       {
        cl_object v17;
        T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(18));
        v17 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T0) /*  AREF-CARD16 */;
        (v1display)->instance.slots[38]=v17;
       }
       {
        cl_fixnum v17;
        v17 = (0)+(20);
        v15num_roots = ecl_make_uint8_t((v8buffer_bbuf)->vector.self.b8[v17]);
       }
       {
        cl_fixnum v17;
        v17 = (0)+(21);
        v16num_formats = ecl_make_uint8_t((v8buffer_bbuf)->vector.self.b8[v17]);
       }
       {
        cl_object v17;
        {
         uint8_t v18;
         {
          cl_fixnum v19;
          v19 = (0)+(22);
          v18 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v19]);
         }
         v17 = ecl_make_bool(((cl_fixnum)(v18))==0);
        }
        (v1display)->instance.slots[43]=v17;
       }
       {
        cl_object v17format;
        v17format = ecl_function_dispatch(cl_env_copy,VV[217])(1, v1display) /*  DISPLAY-BITMAP-FORMAT */;
        {
         cl_object v18;
         {
          uint8_t v19;
          {
          cl_fixnum v20;
          v20 = (0)+(23);
          v19 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v20]);
          }
          v18 = ecl_make_bool(((cl_fixnum)(v19))==0);
         }
         (v17format)->instance.slots[2]=v18;
        }
        {
         uint8_t v18;
         {
          cl_fixnum v19;
          v19 = (0)+(24);
          v18 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v19]);
         }
         (v17format)->instance.slots[0]=ecl_make_uint8_t(v18);
        }
        {
         uint8_t v18;
         {
          cl_fixnum v19;
          v19 = (0)+(25);
          v18 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v19]);
         }
         (v17format)->instance.slots[1]=ecl_make_uint8_t(v18);
        }
       }
       {
        uint8_t v17;
        {
         cl_fixnum v18;
         v18 = (0)+(26);
         v17 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v18]);
        }
        (v1display)->instance.slots[46]=ecl_make_uint8_t(v17);
       }
       {
        uint8_t v17;
        {
         cl_fixnum v18;
         v18 = (0)+(27);
         v17 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v18]);
        }
        (v1display)->instance.slots[47]=ecl_make_uint8_t(v17);
       }
       T0 = ecl_plus(v14vendor_length,ecl_make_fixnum(3));
       T1 = ecl_boole(ECL_BOOLAND,(T0),(ecl_make_fixnum(-4)));
       ecl_function_dispatch(cl_env_copy,VV[211])(4, v1display, v8buffer_bbuf, ecl_make_fixnum(0), T1) /*  BUFFER-INPUT */;
       {
        cl_object v17;
        v17 = ecl_function_dispatch(cl_env_copy,VV[215])(7, v4reply_buffer, ECL_SYM("STRING",805), v14vendor_length, ECL_NIL, ECL_NIL, ecl_make_fixnum(0), ecl_make_fixnum(0)) /*  READ-SEQUENCE-CHAR */;
        (v1display)->instance.slots[29]=v17;
       }
       {
        cl_object v17i;
        v17i = ecl_make_fixnum(0);
        goto L104;
L103:;
        ecl_function_dispatch(cl_env_copy,VV[211])(4, v1display, v8buffer_bbuf, ecl_make_fixnum(0), ecl_make_fixnum(8)) /*  BUFFER-INPUT */;
        {
         cl_object v18;
         cl_object v19;
         {
          uint8_t v20;
          {
          cl_fixnum v21;
          v21 = (0)+(0);
          v20 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v21]);
          }
          {
          uint8_t v21;
          {
          cl_fixnum v22;
          v22 = (0)+(1);
          v21 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v22]);
          }
          {
          uint8_t v22;
          {
          cl_fixnum v23;
          v23 = (0)+(2);
          v22 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v23]);
          }
          v18 = ecl_function_dispatch(cl_env_copy,VV[218])(6, VV[89], ecl_make_uint8_t(v20), VV[90], ecl_make_uint8_t(v21), VV[91], ecl_make_uint8_t(v22)) /*  MAKE-PIXMAP-FORMAT */;
          }
          }
         }
         T0 = ecl_function_dispatch(cl_env_copy,VV[219])(1, v1display) /*  DISPLAY-PIXMAP-FORMATS */;
         v19 = CONS(v18,T0);
         (v1display)->instance.slots[45]=v19;
        }
        v17i = ecl_one_plus(v17i);
L104:;
        if (!(ecl_number_compare(v17i,v16num_formats)<0)) { goto L118; }
        goto L103;
L118:;
       }
       {
        cl_object v17;
        T0 = ecl_function_dispatch(cl_env_copy,VV[219])(1, v1display) /*  DISPLAY-PIXMAP-FORMATS */;
        v17 = cl_nreverse(T0);
        (v1display)->instance.slots[45]=v17;
       }
       {
        cl_object v17i;
        v17i = ecl_make_fixnum(0);
        goto L125;
L124:;
        ecl_function_dispatch(cl_env_copy,VV[211])(4, v1display, v8buffer_bbuf, ecl_make_fixnum(0), ecl_make_fixnum(40)) /*  BUFFER-INPUT */;
        {
         cl_object v18root_id;
         cl_object v19root;
         cl_object v20root_visual;
         cl_object v21default_colormap_id;
         cl_object v22default_colormap;
         cl_object v23screen;
         uint8_t v24num_depths;
         cl_object v25depths;
         T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(0));
         v18root_id = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
         v19root = ecl_function_dispatch(cl_env_copy,VV[161])(4, VV[31], v18root_id, VV[29], v1display) /*  MAKE-WINDOW */;
         T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(32));
         v20root_visual = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
         T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(4));
         v21default_colormap_id = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
         v22default_colormap = ecl_function_dispatch(cl_env_copy,VV[166])(4, VV[31], v21default_colormap_id, VV[29], v1display) /*  MAKE-COLORMAP */;
         T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(8));
         T1 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
         T2 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(12));
         T3 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T2) /*  AREF-CARD32 */;
         T4 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(16));
         T5 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T4) /*  AREF-CARD32 */;
         T6 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(20));
         T7 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T6) /*  AREF-CARD16 */;
         T8 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(22));
         T9 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T8) /*  AREF-CARD16 */;
         T10 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(24));
         T11 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T10) /*  AREF-CARD16 */;
         T12 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(26));
         T13 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T12) /*  AREF-CARD16 */;
         T14 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(28));
         T15 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T14) /*  AREF-CARD16 */;
         T16 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(30));
         T17 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T16) /*  AREF-CARD16 */;
         {
          int8_t v26;
          {
          cl_fixnum v27;
          v27 = (0)+(36);
          v26 = (int8_t)((v8buffer_bbuf)->vector.self.b8[v27]);
          }
          T18 = (VV[117])->vector.self.t[(cl_fixnum)(v26)];
         }
         {
          uint8_t v26;
          {
          cl_fixnum v27;
          v27 = (0)+(37);
          v26 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v27]);
          }
          {
          bool v27;
          v27 = ((cl_fixnum)(v26))>0;
          {
          uint8_t v28;
          {
          cl_fixnum v29;
          v29 = (0)+(38);
          v28 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v29]);
          }
          v23screen = ecl_function_dispatch(cl_env_copy,VV[220])(28, VV[92], v19root, VV[93], v22default_colormap, VV[94], T1, VV[95], T3, VV[96], T5, VV[97], T7, VV[98], T9, VV[99], T11, VV[100], T13, VV[101], T15, VV[102], T17, VV[103], T18, VV[105], ecl_make_bool(v27), VV[106], ecl_make_uint8_t(v28)) /*  MAKE-SCREEN */;
          }
          }
         }
         {
          cl_fixnum v26;
          v26 = (0)+(39);
          v24num_depths = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v26]);
         }
         v25depths = ECL_NIL;
         L13save_id(v1display, v18root_id, v19root);
         L13save_id(v1display, v21default_colormap_id, v22default_colormap);
         {
          cl_object v26j;
          v26j = ecl_make_fixnum(0);
          goto L151;
L150:;
          ecl_function_dispatch(cl_env_copy,VV[211])(4, v1display, v8buffer_bbuf, ecl_make_fixnum(0), ecl_make_fixnum(8)) /*  BUFFER-INPUT */;
          {
          uint8_t v27;
          cl_object v28;
          cl_object v29visuals;
          {
          cl_fixnum v30;
          v30 = (0)+(0);
          v27 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v30]);
          }
          T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(2));
          v28 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T0) /*  AREF-CARD16 */;
          v29visuals = ECL_NIL;
          {
          cl_object v30k;
          v30k = ecl_make_fixnum(0);
          goto L162;
L161:;
          ecl_function_dispatch(cl_env_copy,VV[211])(4, v1display, v8buffer_bbuf, ecl_make_fixnum(0), ecl_make_fixnum(24)) /*  BUFFER-INPUT */;
          {
          cl_object v31visual;
          cl_object v32visual_info;
          T0 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(0));
          v31visual = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T0) /*  AREF-CARD32 */;
          {
          int8_t v33;
          {
          cl_fixnum v34;
          v34 = (0)+(4);
          v33 = (int8_t)((v8buffer_bbuf)->vector.self.b8[v34]);
          }
          T0 = (VV[121])->vector.self.t[(cl_fixnum)(v33)];
          }
          {
          uint8_t v33;
          {
          cl_fixnum v34;
          v34 = (0)+(5);
          v33 = (uint8_t)((v8buffer_bbuf)->vector.self.b8[v34]);
          }
          T1 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(6));
          T2 = ecl_function_dispatch(cl_env_copy,VV[212])(2, v8buffer_bbuf, T1) /*  AREF-CARD16 */;
          T3 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(8));
          T4 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T3) /*  AREF-CARD32 */;
          T5 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(12));
          T6 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T5) /*  AREF-CARD32 */;
          T7 = ecl_plus(ecl_make_fixnum(0),ecl_make_fixnum(16));
          T8 = ecl_function_dispatch(cl_env_copy,VV[216])(2, v8buffer_bbuf, T7) /*  AREF-CARD32 */;
          v32visual_info = ecl_function_dispatch(cl_env_copy,VV[221])(16, VV[31], v31visual, VV[29], v1display, VV[107], T0, VV[109], ecl_make_uint8_t(v33), VV[110], T2, VV[111], T4, VV[112], T6, VV[113], T8) /*  MAKE-VISUAL-INFO */;
          }
          v29visuals = CONS(v32visual_info,v29visuals);
          if (!(ecl_eql(v20root_visual,v31visual))) { goto L165; }
          {
          cl_object v33;
          v33 = (v22default_colormap)->instance.slots[2]=v32visual_info;
          (v23screen)->instance.slots[7]=v33;
          }
          }
L165:;
          v30k = ecl_one_plus(v30k);
L162:;
          if (!(ecl_number_compare(v30k,v28)<0)) { goto L180; }
          goto L161;
L180:;
          }
          T0 = cl_nreverse(v29visuals);
          T1 = CONS(ecl_make_uint8_t(v27),T0);
          v25depths = CONS(T1,v25depths);
          }
          v26j = ecl_one_plus(v26j);
L151:;
          if (!(ecl_number_compare(v26j,ecl_make_uint8_t(v24num_depths))<0)) { goto L185; }
          goto L150;
L185:;
         }
         {
          cl_object v26;
          v26 = cl_nreverse(v25depths);
          (v23screen)->instance.slots[5]=v26;
         }
         {
          cl_object v26;
          T0 = ecl_function_dispatch(cl_env_copy,VV[178])(1, v1display) /*  DISPLAY-ROOTS */;
          v26 = CONS(v23screen,T0);
          (v1display)->instance.slots[40]=v26;
         }
        }
        v17i = ecl_one_plus(v17i);
L125:;
        if (!(ecl_number_compare(v17i,v15num_roots)<0)) { goto L192; }
        goto L124;
L192:;
       }
       {
        cl_object v17;
        T0 = ecl_function_dispatch(cl_env_copy,VV[178])(1, v1display) /*  DISPLAY-ROOTS */;
        v17 = cl_nreverse(T0);
        (v1display)->instance.slots[40]=v17;
       }
       {
        cl_object v17;
        T0 = ecl_function_dispatch(cl_env_copy,VV[178])(1, v1display) /*  DISPLAY-ROOTS */;
        v17 = _ecl_car(T0);
        cl_env_copy->values[0] = (v1display)->instance.slots[39]=v17;
        cl_env_copy->nvalues = 1;
       }
      }
     }
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v6=ecl_stack_push_values(cl_env_copy);
    if (Null(v4reply_buffer)) { goto L197; }
    ecl_function_dispatch(cl_env_copy,VV[222])(1, v4reply_buffer) /*  DEALLOCATE-REPLY-BUFFER */;
L197:;
    ecl_stack_pop_values(cl_env_copy,v6);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v5);
   }
  }
  value0 = v1display;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DISPLAY-PROTOCOL-VERSION              */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L34display_protocol_version(cl_object v1display)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[224])(1, v1display) /*  DISPLAY-PROTOCOL-MAJOR-VERSION */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[225])(1, v1display) /*  DISPLAY-PROTOCOL-MINOR-VERSION */;
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = T1;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
 }
}
/*	function definition for DISPLAY-VENDOR                        */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L35display_vendor(cl_object v1display)
{
 cl_object T0, T1;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[227])(1, v1display) /*  DISPLAY-VENDOR-NAME */;
  T1 = ecl_function_dispatch(cl_env_copy,VV[228])(1, v1display) /*  DISPLAY-RELEASE-NUMBER */;
  cl_env_copy->nvalues = 2;
  cl_env_copy->values[1] = T1;
  cl_env_copy->values[0] = T0;
  return cl_env_copy->values[0];
 }
}
/*	function definition for DISPLAY-NSCREENS                      */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L36display_nscreens(cl_object v1display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  T0 = ecl_function_dispatch(cl_env_copy,VV[178])(1, v1display) /*  DISPLAY-ROOTS */;
  value0 = ecl_make_fixnum(ecl_length(T0));
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DISPLAY-INVOKE-AFTER-FUNCTION         */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L37display_invoke_after_function(cl_object v1display)
{
 cl_object T0;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  if (Null(ecl_function_dispatch(cl_env_copy,VV[231])(1, v1display) /*  DISPLAY-AFTER-FUNCTION */)) { goto L1; }
  if ((ecl_symbol_value(VV[126]))!=ECL_NIL) { goto L1; }
  ecl_bds_bind(cl_env_copy,VV[126],ECL_T);        /*  *INSIDE-DISPLAY-AFTER-FUNCTION* */
  T0 = ecl_function_dispatch(cl_env_copy,VV[231])(1, v1display) /*  DISPLAY-AFTER-FUNCTION */;
  value0 = ecl_function_dispatch(cl_env_copy,T0)(1, v1display);
  ecl_bds_unwind1(cl_env_copy);
  return value0;
L1:;
  value0 = ECL_NIL;
  cl_env_copy->nvalues = 1;
  return value0;
 }
}
/*	function definition for DISPLAY-FINISH-OUTPUT                 */
/*	optimize speed 1, debug 1, space 1, safety 2                  */
static cl_object L38display_finish_output(cl_object volatile v1display)
{
 cl_object T0, T1, T2, T3, T4;
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object volatile value0;
 ecl_cs_check(cl_env_copy,value0);
 {
TTL:
  {
   volatile cl_object v2_pending_command_;
   volatile cl_object v3_reply_buffer_;
   v2_pending_command_ = ECL_NIL;
   v3_reply_buffer_ = ECL_NIL;
   {
    volatile bool unwinding = FALSE;
    cl_index v4=ECL_STACK_INDEX(cl_env_copy),v5;
    ecl_frame_ptr next_fr;
    if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
      unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
    } else {
    if (Null(ecl_function_dispatch(cl_env_copy,VV[147])(1, v1display) /*  BUFFER-DEAD */)) { goto L6; }
    ecl_function_dispatch(cl_env_copy,VV[148])(3, VV[28], VV[29], v1display) /*  X-ERROR */;
L6:;
    {
     volatile cl_object v6;
     volatile cl_object v7;
     volatile cl_object v8;
     v6 = ecl_function_dispatch(cl_env_copy,VV[149])(1, v1display) /*  BUFFER-LOCK */;
     v7 = mp_lock_owner(v6);
     v8 = mp_lock_count(v6);
     {
      struct ecl_stack_frame _ecl_inner_frame_aux;
      volatile cl_object _ecl_inner_frame = ecl_stack_frame_open(cl_env_copy,(cl_object)&_ecl_inner_frame_aux,0);
      {
       volatile cl_object v9;
       v9 = _ecl_inner_frame;
       {
        volatile cl_object v10;
        v10 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023));
        ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),ECL_NIL); /*  *INTERRUPTS-ENABLED* */
        ecl_bds_bind(cl_env_copy,ECL_SYM("*ALLOW-WITH-INTERRUPTS*",1731),ECL_NIL); /*  *ALLOW-WITH-INTERRUPTS* */
        {
         volatile bool unwinding = FALSE;
         cl_index v11=ECL_STACK_INDEX(cl_env_copy),v12;
         ecl_frame_ptr next_fr;
         if (ecl_frs_push(cl_env_copy,ECL_PROTECT_TAG)) {
           unwinding = TRUE; next_fr=cl_env_copy->nlj_fr;
         } else {
         ecl_bds_bind(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023),v10); /*  *INTERRUPTS-ENABLED* */
         mp_get_lock(1, v6);
         v2_pending_command_ = ecl_function_dispatch(cl_env_copy,VV[233])(1, v1display) /*  START-PENDING-COMMAND */;
         T0 = ecl_function_dispatch(cl_env_copy,VV[203])(1, v1display) /*  BUFFER-BOFFSET */;
         T1 = ecl_plus(T0,ecl_make_fixnum(160));
         T2 = ecl_function_dispatch(cl_env_copy,VV[234])(1, v1display) /*  BUFFER-SIZE */;
         if (!(ecl_number_compare(T1,T2)>=0)) { goto L21; }
         ecl_function_dispatch(cl_env_copy,VV[235])(1, v1display) /*  BUFFER-FLUSH */;
L21:;
         {
          cl_fixnum v13buffer_boffset;
          cl_object v14buffer_bbuf;
          v13buffer_boffset = ecl_fixnum(ecl_function_dispatch(cl_env_copy,VV[203])(1, v1display) /*  BUFFER-BOFFSET */);
          v14buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[204])(1, v1display) /*  BUFFER-OBUF8 */;
          (v1display)->instance.slots[4]=ecl_make_fixnum(v13buffer_boffset);
          {
          cl_fixnum v15;
          v15 = (v13buffer_boffset)+(0);
          (v14buffer_bbuf)->vector.self.b8[v15]= (uint8_t)(43);
          }
          T0 = ecl_plus(ecl_make_fixnum(v13buffer_boffset),ecl_make_fixnum(2));
          ecl_function_dispatch(cl_env_copy,VV[206])(3, ecl_make_fixnum(1), v14buffer_bbuf, T0) /*  ASET-CARD16 */;
          {
          cl_fixnum v15;
          v15 = (v13buffer_boffset)+(4);
          (v1display)->instance.slots[6]=ecl_make_fixnum(v15);
          }
          {
          cl_object v15;
          T0 = cl_ash(ecl_make_fixnum(-1), ecl_make_fixnum(16));
          T1 = ecl_boole(ECL_BOOLXOR,(T0),ecl_make_fixnum(-1));
          T2 = ecl_function_dispatch(cl_env_copy,VV[236])(1, v1display) /*  BUFFER-REQUEST-NUMBER */;
          T3 = ecl_one_plus(T2);
          {
          cl_fixnum v16;
          v16 = -(0);
          T4 = cl_ash(T3, ecl_make_fixnum(v16));
          v15 = ecl_boole(ECL_BOOLAND,(T1),(T4));
          }
          (v1display)->instance.slots[3]=v15;
          }
         }
         ecl_function_dispatch(cl_env_copy,VV[198])(1, v1display) /*  BUFFER-FORCE-OUTPUT */;
         cl_env_copy->values[0] = L37display_invoke_after_function(v1display);
         ecl_bds_unwind1(cl_env_copy);
           next_fr = NULL;
         }
         ecl_frs_pop(cl_env_copy);
         v12=ecl_stack_push_values(cl_env_copy);
         T0 = ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398));
         T1 = mp_lock_owner(v6);
         if (!((T0)==(T1))) { goto L35; }
         if (!((v7)==(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*CURRENT-PROCESS*",1398))))) { goto L38; }
         T0 = mp_lock_count(v6);
         if (!(ecl_number_compare(T0,v8)>0)) { goto L35; }
         goto L36;
L38:;
L36:;
         mp_giveup_lock(v6);
L35:;
         ecl_stack_pop_values(cl_env_copy,v12);
         if (unwinding) ecl_unwind(cl_env_copy,next_fr);
         ECL_STACK_SET_INDEX(cl_env_copy,v11);
         ecl_bds_unwind1(cl_env_copy);
         ecl_bds_unwind1(cl_env_copy);
        }
       }
       ecl_stack_frame_push_values(v9);
       if (Null(ECL_SYM_VAL(cl_env_copy,ECL_SYM("*INTERRUPTS-ENABLED*",1023)))) { goto L40; }
       si_check_pending_interrupts();
L40:;cl_env_copy->values[0]=ecl_stack_frame_pop_values(v9);
      }
      ecl_stack_frame_close(_ecl_inner_frame);
     }
    }
    {
     cl_object v6;
     v6 = ecl_function_dispatch(cl_env_copy,VV[237])(2, v1display, v2_pending_command_) /*  READ-REPLY */;
     value0 = ecl_make_bool(v6==ECL_NIL);
     if ((value0)!=ECL_NIL) { goto L48; }
     T0 = si_of_class_p(2, v6, VV[83]);
     goto L46;
L48:;
     T0 = value0;
     goto L46;
L46:;
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[84],v6);
     v3_reply_buffer_ = v6;
    }
    {
     cl_object v6_reply_buffer;
     T0 = si_of_class_p(2, v3_reply_buffer_, VV[83]);
     if (ecl_unlikely(!((T0)!=ECL_NIL)))
         FEwrong_type_argument(VV[83],v3_reply_buffer_);
     v6_reply_buffer = v3_reply_buffer_;
     {
      cl_object v7buffer_bbuf;
      v7buffer_bbuf = ecl_function_dispatch(cl_env_copy,VV[210])(1, v6_reply_buffer) /*  REPLY-IBUF8 */;
      cl_env_copy->values[0] = ECL_NIL;
      cl_env_copy->nvalues = 1;
     }
    }
      next_fr = NULL;
    }
    ecl_frs_pop(cl_env_copy);
    v5=ecl_stack_push_values(cl_env_copy);
    if (Null(v3_reply_buffer_)) { goto L57; }
    ecl_function_dispatch(cl_env_copy,VV[222])(1, v3_reply_buffer_) /*  DEALLOCATE-REPLY-BUFFER */;
L57:;
    if (Null(v2_pending_command_)) { goto L56; }
    ecl_function_dispatch(cl_env_copy,VV[238])(2, v1display, v2_pending_command_) /*  STOP-PENDING-COMMAND */;
L56:;
    ecl_stack_pop_values(cl_env_copy,v5);
    if (unwinding) ecl_unwind(cl_env_copy,next_fr);
    ECL_STACK_SET_INDEX(cl_env_copy,v4);
   }
  }
  value0 = ecl_function_dispatch(cl_env_copy,VV[239])(2, v1display, VV[128]) /*  REPORT-ASYNCHRONOUS-ERRORS */;
  return value0;
 }
}

#include "clx/display.data"
#ifdef __cplusplus
extern "C"
#endif
ECL_DLLEXPORT void _eclcAYCogb7_nhV7Jg11(cl_object flag)
{
 const cl_env_ptr cl_env_copy = ecl_process_env();
 cl_object value0;
 cl_object *VVtemp;
 if (flag != OBJNULL){
 Cblock = flag;
 #ifndef ECL_DYNAMIC_VV
 flag->cblock.data = VV;
 #endif
 flag->cblock.data_size = VM;
 flag->cblock.temp_data_size = VMtemp;
 flag->cblock.data_text = compiler_data_text;
 flag->cblock.cfuns_size = compiler_cfuns_size;
 flag->cblock.cfuns = compiler_cfuns;
 flag->cblock.source = make_constant_base_string("SRC:CLX;DISPLAY.LISP.NEWEST");
 return;}
 #ifdef ECL_DYNAMIC_VV
 VV = Cblock->cblock.data;
 #endif
 Cblock->cblock.data_text = (const cl_object *)"@EcLtAg:_eclcAYCogb7_nhV7Jg11@";
 VVtemp = Cblock->cblock.temp_data;
 ECL_DEFINE_SETF_FUNCTIONS
  si_select_package(_ecl_static_0);
  si_Xmake_special(VV[0]);
  cl_set(VV[0],VVtemp[0]);
  ecl_cmp_defun(VV[131]);                         /*  READ-XAUTH-ENTRY */
  ecl_cmp_defun(VV[132]);                         /*  GET-BEST-AUTHORIZATION */
  ecl_cmp_defmacro(VV[136]);                      /*  WITH-DISPLAY    */
  ecl_cmp_defun(VV[137]);                         /*  INITIALIZE-RESOURCE-ALLOCATOR */
  ecl_cmp_defun(VV[139]);                         /*  RESOURCEALLOC   */
  ecl_cmp_defmacro(VV[144]);                      /*  ALLOCATE-RESOURCE-ID */
  ecl_cmp_defmacro(VV[145]);                      /*  DEALLOCATE-RESOURCE-ID */
  ecl_cmp_defun(VV[146]);                         /*  DEALLOCATE-RESOURCE-ID-INTERNAL */
  ecl_cmp_defun(VV[150]);                         /*  LOOKUP-RESOURCE-ID */
  ecl_cmp_defun(VV[151]);                         /*  SAVE-ID         */
  ecl_cmp_defun(VV[152]);                         /*  LOOKUP-DRAWABLE */
  ecl_cmp_defun(VV[153]);                         /*  LOOKUP-WINDOW   */
  ecl_cmp_defun(VV[154]);                         /*  LOOKUP-PIXMAP   */
  ecl_cmp_defun(VV[155]);                         /*  LOOKUP-GCONTEXT */
  ecl_cmp_defun(VV[156]);                         /*  LOOKUP-CURSOR   */
  ecl_cmp_defun(VV[157]);                         /*  LOOKUP-COLORMAP */
  ecl_cmp_defun(VV[158]);                         /*  LOOKUP-FONT     */
  ecl_cmp_defun(VV[170]);                         /*  ID-ATOM         */
  ecl_cmp_defun(VV[172]);                         /*  ATOM-ID         */
  ecl_cmp_defun(VV[175]);                         /*  SET-ATOM-ID     */
  si_do_defsetf(VV[47], VV[48]);
  ecl_cmp_defun(VV[176]);                         /*  INITIALIZE-PREDEFINED-ATOMS */
  ecl_cmp_defun(VV[177]);                         /*  VISUAL-INFO     */
  ecl_cmp_defmacro(VV[181]);                      /*  WITH-EVENT-QUEUE */
  ecl_cmp_defun(VV[182]);                         /*  WITH-EVENT-QUEUE-FUNCTION */
  ecl_cmp_defmacro(VV[183]);                      /*  WITH-EVENT-QUEUE-INTERNAL */
  ecl_cmp_defun(VV[184]);                         /*  OPEN-DEFAULT-DISPLAY */
  ecl_cmp_defun(VV[186]);                         /*  OPEN-DISPLAY    */
  ecl_cmp_defun(VV[197]);                         /*  DISPLAY-FORCE-OUTPUT */
  ecl_cmp_defun(VV[199]);                         /*  CLOSE-DISPLAY   */
  ecl_cmp_defun(VV[202]);                         /*  DISPLAY-CONNECT */
  ecl_cmp_defun(VV[223]);                         /*  DISPLAY-PROTOCOL-VERSION */
  ecl_cmp_defun(VV[226]);                         /*  DISPLAY-VENDOR  */
  ecl_cmp_defun(VV[229]);                         /*  DISPLAY-NSCREENS */
  si_Xmake_special(VV[126]);
  if (ecl_boundp(cl_env_copy,VV[126])) { goto L133; }
  cl_set(VV[126],ECL_NIL);
L133:;
  ecl_cmp_defun(VV[230]);                         /*  DISPLAY-INVOKE-AFTER-FUNCTION */
  ecl_cmp_defun(VV[232]);                         /*  DISPLAY-FINISH-OUTPUT */
  si_Xmake_special(VV[130]);
  cl_set(VV[130],VVtemp[1]);
}
